Java-Erlang Interface Library: Class OtpErlangShort

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.erlang
Class OtpErlangShort

    java.lang.Object
      |
      +--com.ericsson.otp.erlang.OtpErlangObject
            |
            +--com.ericsson.otp.erlang.OtpErlangLong
                  |
                  +--com.ericsson.otp.erlang.OtpErlangShort

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class OtpErlangShort
extends OtpErlangLong
implements java.io.Serializable, java.lang.Cloneable

Provides a Java representation of Erlang integral types.

See Also:
  Serialized Form

Constructor Summary
`OtpErlangShort(OtpInputStream buf)` Create an Erlang integer from a stream containing an integer encoded in Erlang external format.
`OtpErlangShort(short s)` Create an Erlang integer from the given value.

Methods inherited from class com.ericsson.otp.erlang.OtpErlangLong
`byteValue, charValue, encode, equals, intValue, longValue, shortValue, toString, uIntValue, uShortValue`

Methods inherited from class com.ericsson.otp.erlang.OtpErlangObject
`clone, decode`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OtpErlangShort

    public OtpErlangShort(short s)

  Create an Erlang integer from the given value.
  Parameters:
    `s` - the short value to use.

### OtpErlangShort

    public OtpErlangShort(OtpInputStream buf)
                   throws OtpErlangRangeException,
                          OtpErlangDecodeException

  Create an Erlang integer from a stream containing an integer encoded in Erlang external format.
  Parameters:
    `buf` - the stream containing the encoded value.
  Throws:
    `OtpErlangDecodeException` - if the buffer does not contain a valid external representation of an Erlang integer.
    `OtpErlangRangeException` - if the value is too large to be represented as a short.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD